<app-header title="Upcoming Appointment"></app-header>
<ion-content class="eh-px-10" *ngIf="dispatchView; else dataAwaitedBlk">
  <div class="e-card2 e-card2--shadow eh-h-100p" fxLayout="column">
    <div class="eh-ofy-auto eh-hide-scrollbars">
      <div class="eh-ofy-scroll eh-hide-scrollbars">
        <ng-container *ngIf="upcomingAppointments.length > 0; else noUpcomingAppointmentsBlk">
          <div *ngFor="let appt of upcomingAppointments" class="e-card2 e-card2--hover2 eh-mt-16 eh-t-spacer">
            <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
            </app-appointment-doc>
          </div>
        </ng-container>
      </div>
    </div>
    <ng-template #noUpcomingAppointmentsBlk>
      <div fxLayout="row" fxLayoutAlign="center center" class="eh-h-100v eh-xy-center e-txt e-txt--placeholder">

        No Upcoming Appointments
      </div>
    </ng-template>
  </div>
</ion-content>

<ng-template #dataAwaitedBlk>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>